package com.ruoyi.tuya.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台游记(天)对象 bus_travel_experience
 * 
 * @author zf
 * @date 2022-07-21
 */
public class BusTravelExperience extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 游记编号 */
    @Excel(name = "游记编号")
    private String uuid;

    /** 天数 */
    @Excel(name = "天数")
    private String dayNum;

    /** 简介 */
    @Excel(name = "简介")
    private String synopsis;

    /** 视频 */
    @Excel(name = "视频")
    private String videoUrl;

    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** $column.columnComment */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    public void setUuid(String uuid) 
    {
        this.uuid = uuid;
    }

    public String getUuid() 
    {
        return uuid;
    }
    public void setDayNum(String dayNum) 
    {
        this.dayNum = dayNum;
    }

    public String getDayNum() 
    {
        return dayNum;
    }
    public void setSynopsis(String synopsis) 
    {
        this.synopsis = synopsis;
    }

    public String getSynopsis() 
    {
        return synopsis;
    }
    public void setVideoUrl(String videoUrl) 
    {
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl() 
    {
        return videoUrl;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("uuid", getUuid())
            .append("dayNum", getDayNum())
            .append("synopsis", getSynopsis())
            .append("videoUrl", getVideoUrl())
            .append("imgUrl", getImgUrl())
            .append("id", getId())
            .append("title", getTitle())
            .toString();
    }
}
